Referência da APIMatching jobs
Get matching job detail
Authorization
ApiKeyAuth x-api-key<token>
Tenant API key
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/matching-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "dataset_name": "string", "job_group_id": "fa203b41-20ed-4bc8-ba9f-7219d7062dd8", "batches_expected": 0, "batches_completed": 0, "status": "running", "records_total": 0, "rule_sets_total": 0, "pairs_total": 0, "pairs_processed": 0, "decision_counts": { "property1": 0, "property2": 0 }, "current_rule_set_id": "f3cc2b97-3bba-417b-a508-af33112b1923", "current_rule_set_name": "string", "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z", "rule_sets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "rule_set_id": "d9347d2e-8fc3-4254-806b-a802f013e519", "rule_set_name": "string", "status": "running", "candidates_count": 0, "pairs_total": 0, "pairs_processed": 0, "decision_counts": { "property1": 0, "property2": 0 }, "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z" } ], "average_score": 0.1}Get left/right candidate base records used by a job
Returns the snapshot of records that were eligible for the job (capped at 10,000 per side). When the job's first rule set uses `jsonata-batch` with blocking enabled, the right (candidate) side is filtered to the same date/amount window automatic matching used. Useful for exporting reconciliation traces.
List matching jobs
Next Page

